<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>Member List (CEL: Crystal Entity Layer 2.0 Public API Reference)</title>
<link href="tabs.css" rel="stylesheet" type="text/css">
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<table border="0" cellpadding="0" cellspacing="0" width="100%" class="head">
 <tr height="59">
  <td class="head" width="202" valign="bottom" style="padding-left:0;"><a href="http://cel.crystalspace3d.org/"><img src="celblur.png" width="210" height="59" alt="CEL" border="0"></a></td>
  <td class="head"><h2>Public API Reference</h2></td>
 </tr>
 <tr height="11">
  <td colspan="2" class="headshadow" valign="top" style="padding-left:0;"><img src="celshadow.png" width="9" height="11" alt="" border="0"></td>
 </tr>
</table>
<div class="content">
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">iPcCraftController Member List</div>  </div>
</div><!--header-->
<div class="contents">
This is the complete list of members for <a class="el" href="structiPcCraftController.html">iPcCraftController</a>, including all inherited members.<table>
  <tr class="memlist"><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html#a5d0ec17cc4948f7bdcf668fcb52b9eb1">AddRefOwner</a>(void **ref_owner)=0</td><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html">iBase</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcCraftController.html#a79306916af43121b02cb5a6c926d4ff8">AfterBurnerOff</a>()=0</td><td><a class="el" href="structiPcCraftController.html">iPcCraftController</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcCraftController.html#adab1cb088ca5cc0971fb7abf5f301208">AfterBurnerOn</a>()=0</td><td><a class="el" href="structiPcCraftController.html">iPcCraftController</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcCraftController.html#a9bb01021ab87f89c29d23352d3f9bd50">BrakesOff</a>()=0</td><td><a class="el" href="structiPcCraftController.html">iPcCraftController</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcCraftController.html#af4a798d5db6c9cf6e3d4cc8389f6f37a">BrakesOn</a>()=0</td><td><a class="el" href="structiPcCraftController.html">iPcCraftController</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html#a3a44d46ca155e6ab0c0179db01011bb0">DecRef</a>()=0</td><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html">iBase</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html#aeebf94ff535afffc22fcbfe869b70c30">GetInterfaceMetadata</a>()=0</td><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html">iBase</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html#a74696c1b99c7161216ee26161944adfd">GetRefCount</a>()=0</td><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html">iBase</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html#a426a2763702fbbc33a213f849042284a">IncRef</a>()=0</td><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html">iBase</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcCraftController.html#a35ea7fb4cf52360e4398a2e1c98785e4">IsThrusterOn</a>()=0</td><td><a class="el" href="structiPcCraftController.html">iPcCraftController</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html#a2adc74eb0286a65f2310f221be4ddded">QueryInterface</a>(scfInterfaceID iInterfaceID, int iVersion)=0</td><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html">iBase</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html#a0292fc77bd2b4f8ff5ff25e9540417e0">RemoveRefOwner</a>(void **ref_owner)=0</td><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html">iBase</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcCraftController.html#aab9773b82529279d35bc79f3e3a2b3c2">SetAccPitch</a>(float uacc)=0</td><td><a class="el" href="structiPcCraftController.html">iPcCraftController</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcCraftController.html#a8c8868caf7463d3b7b28847e46855b45">SetAccTurn</a>(float tacc)=0</td><td><a class="el" href="structiPcCraftController.html">iPcCraftController</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcCraftController.html#a0411459aaaf940f8747996e9bea5184c">SetAfterBurnerTopSpeed</a>(float tspeed)=0</td><td><a class="el" href="structiPcCraftController.html">iPcCraftController</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcCraftController.html#aba0ca2c5a9ebf39a230ce99b95fa3556">SetBrakingSpeed</a>(float bspd)=0</td><td><a class="el" href="structiPcCraftController.html">iPcCraftController</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcCraftController.html#ae3d36e98f582accae2a9434371631c74">SetDecelerationRate</a>(float decr)=0</td><td><a class="el" href="structiPcCraftController.html">iPcCraftController</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcCraftController.html#a9e64889dc49a0d31f69c47bcb1f1fd30">SetMaxPitch</a>(float mud)=0</td><td><a class="el" href="structiPcCraftController.html">iPcCraftController</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcCraftController.html#a9a400f44f4f767e18e3973de509e1ad3">SetMaxTurn</a>(float turn)=0</td><td><a class="el" href="structiPcCraftController.html">iPcCraftController</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcCraftController.html#aadae8258235bf45c21f46a545b26ad79">SetRedirectVelocityRatio</a>(float rdvr)=0</td><td><a class="el" href="structiPcCraftController.html">iPcCraftController</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcCraftController.html#a05ef496b35a699996338303f75c15a8b">SetRoll</a>(float roll)=0</td><td><a class="el" href="structiPcCraftController.html">iPcCraftController</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcCraftController.html#a56adb646ac8edd4c8010657bc5310b77">SetThrustForce</a>(float tf)=0</td><td><a class="el" href="structiPcCraftController.html">iPcCraftController</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcCraftController.html#aae11e461259b858e8d4c7e70cded5314">SetTopSpeed</a>(float tspeed)=0</td><td><a class="el" href="structiPcCraftController.html">iPcCraftController</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcCraftController.html#a193c8b711445c2d22b3c7865ce5e26d2">SlideOff</a>()=0</td><td><a class="el" href="structiPcCraftController.html">iPcCraftController</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcCraftController.html#a29abae7f430104de605289c6ffbd34ac">SlideOn</a>()=0</td><td><a class="el" href="structiPcCraftController.html">iPcCraftController</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcCraftController.html#abbe7aa979e38c547c8c13e7504b546d2">StartTurnDown</a>()=0</td><td><a class="el" href="structiPcCraftController.html">iPcCraftController</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcCraftController.html#a7885a0b660a8e8bb1d86d365b1b9d368">StartTurnLeft</a>()=0</td><td><a class="el" href="structiPcCraftController.html">iPcCraftController</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcCraftController.html#a9f5d168c515c45c406d010c1ffeb82c7">StartTurnRight</a>()=0</td><td><a class="el" href="structiPcCraftController.html">iPcCraftController</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcCraftController.html#abfae88207e1d20b0756b577ce375aeea">StartTurnUp</a>()=0</td><td><a class="el" href="structiPcCraftController.html">iPcCraftController</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcCraftController.html#ad351433ea96c29c5a2a453b2fe990d1c">StopTurnDown</a>()=0</td><td><a class="el" href="structiPcCraftController.html">iPcCraftController</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcCraftController.html#a366675ecfc53ed3f05db6f959ee28514">StopTurnLeft</a>()=0</td><td><a class="el" href="structiPcCraftController.html">iPcCraftController</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcCraftController.html#ab6ba91db36d41b23d1d0ce62c7972055">StopTurnRight</a>()=0</td><td><a class="el" href="structiPcCraftController.html">iPcCraftController</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcCraftController.html#a4d185ee376f3d389958f963de6703997">StopTurnUp</a>()=0</td><td><a class="el" href="structiPcCraftController.html">iPcCraftController</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcCraftController.html#a2fabdff2be024425b9b3bc7d4e713983">ThrustOff</a>()=0</td><td><a class="el" href="structiPcCraftController.html">iPcCraftController</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcCraftController.html#a121ab58ceb911a66ac396a0a92a512fe">ThrustOn</a>()=0</td><td><a class="el" href="structiPcCraftController.html">iPcCraftController</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html#a64186fd7973d2ef0bc16013e302b6ea3">~iBase</a>()</td><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html">iBase</a></td><td><code> [protected, virtual]</code></td></tr>
</table></div><!-- contents -->
<hr size="1"><address><small>Generated for CEL: Crystal Entity Layer 2.0 by 
<a href="http://www.doxygen.org/index.html">doxygen</a> 1.7.6.1 
</small></address> </div></body> </html>
